﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Windows.Data;

namespace WpfApplication1
{
    public class DataContext
    {
        QueryableCollectionView _Data;
        public QueryableCollectionView Data
        {
            get
            {
                if (_Data == null)
                {
                    _Data = new QueryableCollectionView(from i in Enumerable.Range(0, 100) select new { ID = i, Name = String.Format("Name{0}", i) });
                    _Data.SortDescriptors.Add(new SortDescriptor() { Member = "ID", SortDirection = System.ComponentModel.ListSortDirection.Descending });
                }

                return _Data;
            }
        }
    }
}
